
Redmine - Defect #15748

Problem with operation queries on REST API, version 2.4.1

2013-12-20 17:38 - Mário Costa

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 2.4.1

Description

Hello,

got this problem with the operation queries, of the REST API, working in version 2.2.0.

If required further detail, just ask.

GET /redmine/mylyn/queries?key=XXXXXXXX HTTP/1.1

User-Agent: Jakarta Commons-HttpClient/3.1

Host: 10.117.82.64

Cookie: $Version=0; _redmine_session=XXXXXX; $Path=/

HTTP/1.1 500 Internal Server Error

Date: Fri, 20 Dec 2013 16:17:46 GMT

Server: Apache

X-Request-Id: a609ee0e7227266ba130dc13953acf24

X-Runtime: 0.016472

Cache-Control: private

X-Rack-Cache: miss

X-Powered-By: Phusion Passenger 4.0.25

Content-Length: 674

Status: 500 Internal Server Error

Connection: close

Content-Type: text/html; charset=utf-8

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"

"http://www.w3.org/TR/html4/loose.dtd">

<html>

<title>Redmine 500 error</title>

<style>

body{

font-family: Trebuchet MS,Georgia,"Times New Roman",serif;

color:#303030;

margin:10px;

}

h1{

font-size:1.5em;

}

p{

font-size:0.8em;

}

</style>

<body>

<h1>Internal error</h1>

<p>An error occurred on the page you were trying to access.<br />

If you continue to experience problems please contact your Redmine administrator for assistance.</p>

<p>If you are the Redmine administrator, check your log files for details about the error.</p>

<p><a href="javascript:history.back()">Back</a></p>

</body>

</html>
#1 - 2013-12-21 12:19 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Please post your application log with the error stack trace, as requested in SubmittingBugs.

#2 - 2015-08-23 17:09 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
